%define husky_version 1.9.0
%define smapi_version 2.5.0
%define husky_cvsdate 20060918
%define hptzip_version 0.1.0
%define ver %smapi_version
%define rel alt1.%husky_cvsdate

Name: libsmapi
Summary: Husky project squish api library
Version: %ver
Release: %rel
License: LGPL
Group: Communications
Requires: ftn
Packager: FTN Development Team <ftn@packages.altlinux.org>

Source0: smapi.tar.bz2

Patch0: smapi-alt-libhusky.patch

BuildPreReq: libhusky-devel >= %husky_version-%release
BuildPreReq: huskybse = %husky_version-%release

%description
Husky project squish api library.

%description -l ru_RU.UTF-8
Библиотека поддержки баз сообщений в формате squish.

%package devel
Group: Development/C
Summary: Husky project squish api library header files
Requires: %name = %version-%release

%description devel
Husky project squish api static library files.

%description -l ru_RU.UTF-8
Заголовочные файлы, необходимые для сборки програм,
использующих библиотеку поддержки баз сообщений в формате squish.

%package devel-static
Group: Development/C
Summary: Husky project squish api library header files

%description devel-static
Husky project squish api static library files.

%description -l ru_RU.UTF-8 devel-static
Библиотеки, необходимые для статической линковки программ,
работающих с базами сообщений в формате squish.

%prep
%setup -q -n smapi
%patch0 -p1

%build
%make_build DEBIAN=1

%install
%__mkdir_p %buildroot{%_sysconfdir/ftn,%_prefix}

%make_install DEBIAN=1 PREFIX=%buildroot%_prefix install
%__install -m0644 cvsdate.h %buildroot%_includedir/smapi/

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%doc BEOS.TXT BUGS ChangeLog HISTORY LICENSE TODO readme.txt
%_libdir/*.so.*

%files devel
%dir %_includedir/smapi/
%_includedir/smapi/*.h
%_libdir/*.so

%files devel-static
%_libdir/*.a

%changelog
* Mon Sep 18 2006 Igor Zubkov <icesik@altlinux.org> 2.5.0-alt1.20060918
- 20060901 -> 20060918

* Sat Sep 16 2006 Igor Zubkov <icesik@altlinux.org> 2.5.0-alt1.20060901
- convert spec to UTF-8
- 20050710 -> 20060901
- spec clean

* Sun Jul 31 2005 Igor Zubkov <icesik@altlinux.ru> 2.5.0-alt1.20050710
- update from cvs snapshot 20050710
- add docs
- correct license from GPL to LGPL

* Mon Jul 04 2005 Igor Zubkov <icesik@altlinux.ru> 2.5.0-alt1.20050604
- update from cvs snapshot 20050604

* Mon Jun 28 2004 Ivan Fedorov <ns@altlinux.ru> 2.5.0-alt1.20040614
- Fixing "Release" tag

* Mon Jun 14 2004 Ivan Fedorov <ns@altlinux.ru> 2.5.0-alt0.20040614
- Updated from cvs
- fixing CFGDIR in huskymak.cfg

* Sat Jun 12 2004 Ivan Fedorov <ns@altlinux.ru> 2.5.0-alt0.20040612
- Updated from cvs

* Mon Jun 07 2004 Ivan Fedorov <ns@altlinux.ru> 2.5.0-alt0.20040607
- Specfile rewritten from scratch
